Status Updates
The Bearer API key of your user more info.
an integer specifying the starting point (beginning with 0) when paging through a list of entities
0the maximum number of results when paging through a list of status updates. (Note: when using ?include maximum is reduced to 25)
10service IDs of the status update's affected services
from date, ISO-UTC e.g. 2021-05-25T21:24:56.771Z, based on reportTime
until date, ISO-UTC e.g. 2021-05-26T21:24:56.771Z, based on reportTime
The status updates
the status update status
GET /api/status-updates HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
The status updates
[
{
"id": 1,
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
}
}
}
],
"resolvedOn": "2026-01-01T00:00:00.000Z",
"subscribed": true,
"affectedTeams": [
{
"id": 1,
"name": "text"
}
]
}
]Note: depending on affected services this will publish notifications to subscribers. Use /publish-info to forecast notifications.
The Bearer API key of your user more info.
the status update status
May be overwritten during the creation of the incident, otherwise read-only
May be overwritten during the creation of the incident, otherwise read-only
The newly created status update
the status update status
May be overwritten during the creation of the incident, otherwise read-only
May be overwritten during the creation of the incident, otherwise read-only
POST /api/status-updates HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 537
{
"id": 1,
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
]
}
}
]
}The newly created status update
{
"id": 1,
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
}
}
}
],
"resolvedOn": "2026-01-01T00:00:00.000Z"
}Forecast the affected subscribers and status pages as well as notifications that would be send out due to a created or updated status update.
The Bearer API key of your user more info.
the status update status
May be overwritten during the creation of the incident, otherwise read-only
May be overwritten during the creation of the incident, otherwise read-only
The forecast for the provided status update
POST /api/status-updates/publish-info HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 537
{
"id": 1,
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
]
}
}
]
}The forecast for the provided status update
{
"statusPagesInfo": {
"id": 1,
"label": "text"
},
"privateStatusPages": 1,
"publicStatusPages": 1,
"privateSubscribers": 1,
"publicSubscribers": 1
}Note: returns an ETag header that can be send to the PUT /status-updates/{id} resource as If-Match header to return a 412 Error in case any related resources e.g. Services or the status update have been updated in the mean time.
The Bearer API key of your user more info.
the id of the status update
The requested status update
GET /api/status-updates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
The requested status update
{
"id": 1,
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"history": [
{
"id": "text",
"content": "text",
"creator": {
"id": 1,
"firstName": "text",
"lastName": "text"
},
"incidentStatus": "INVESTIGATING",
"sendNotification": true,
"createdAt": "2026-01-01T00:00:00.000Z"
}
],
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
}
}
}
],
"resolvedOn": "2026-01-01T00:00:00.000Z",
"subscribed": true,
"affectedTeams": [
{
"id": 1,
"name": "text"
}
]
}Note: the update will be automatically appended to the status update's history and publish notifications to subscribers.
The Bearer API key of your user more info.
the id of the status update
Should be the ETag response header retrieved from GET /status-updates/{id} to prevent updating the status update based on outdated information. Will return 412 status code in case of conflict.
the status update status
May be overwritten during the creation of the incident, otherwise read-only
May be overwritten during the creation of the incident, otherwise read-only
The updated status update
the status update status
May be overwritten during the creation of the incident, otherwise read-only
May be overwritten during the creation of the incident, otherwise read-only
PUT /api/status-updates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 537
{
"id": 1,
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
]
}
}
]
}The updated status update
{
"id": 1,
"summary": "text",
"status": "INVESTIGATING",
"message": "text",
"sendNotification": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
}
}
}
],
"resolvedOn": "2026-01-01T00:00:00.000Z"
}The Bearer API key of your user more info.
the id of the status update
The subscribers of the status update
GET /api/status-updates/{id}/private-subscribers HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
The subscribers of the status update
[
{
"id": 1,
"name": "text",
"type": "USER"
}
]The Bearer API key of your user more info.
the id of the status update
the response
POST /api/status-updates/{id}/private-subscribers HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 38
[
{
"id": 1,
"name": "text",
"type": "USER"
}
]the response
No content
Last updated
Was this helpful?